/****************************************************************************
 Title	:	TERMINAL FOR VISUALIZATION AND CONTROL CONDITIONS IN HOUSE
 Author	:	Patrik Szalay <xszala01@stud.feec.vutbr.cz>
 File	:	clock.h
 Software:	CodeWarrior Development Studio Version: 10.6 Build Id:140329
 Hardware:	MC9S08LH64
*****************************************************************************/

#ifndef CLOCK_H_
#define CLOCK_H_

#include <hidef.h>
#include "derivative.h"
#include "IO.h"
#include "ds1307lib.h"

extern time clock_now;

void clockSetSeconds(unsigned char seconds);
void clockSetMinutes(unsigned char minutes);
void clockSetHours(unsigned char hours);
void clockSetDay(unsigned char day);
void clockSetDayOfWeek(unsigned char dayOfWeek);
void clockSetMonth(unsigned char month);
void clockSetYear(unsigned int year);
void clockSetRTC(void);
void clockSet(time now);
void clockRefreshFromRTC(void);


#endif /* CLOCK_H_ */
